Subject: [bug#74746] Updating Docker to v27

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Mon, 09 Dec 2024 16:21:36 +0100

Josep Bigorra writes:

> Hi all, I am struggling to get new Docker versions working on Guix.
> For the this is critical for day to day work and I start to have some
> problems due to running on old version.
> I attempted some changes to the Guix package for docker but no
> success. See the patch attached and the error message.

> starting phase `separate-from-pid1'

> Backtrace:
>           10 (primitive-load "/gnu/store/xgwamcagyz6lkf4hrwncdrxyc63…")
> In guix/build/gnu-build-system.scm:
>     966:2  9 (gnu-build #:source _ #:outputs _ #:inputs _ #:phases . #)
> In ice-9/boot-9.scm:
>   1752:10  8 (with-exception-handler _ _ #:unwind? _ # _)
> In srfi/srfi-1.scm:
>     634:9  7 (for-each #<procedure fffff413cd80 at guix/build/gnu-b…> …)
> In ice-9/boot-9.scm:
>   1752:10  6 (with-exception-handler _ _ #:unwind? _ # _)
> In guix/build/gnu-build-system.scm:
>    987:23  5 (_)
> In ice-9/eval.scm:
>     619:8  4 (_ #(#(#<directory (guile-user) fffff778ec80>) (# # …)))
> In guix/build/utils.scm:
>    903:19  3 (with-atomic-file-replacement "vendor/github.com/conta…" …)
> In unknown file:
>            2 (mkstemp! "vendor/github.com/containerd/containerd/run…" …)

So this file "vendor/github.com/containerd/containerd/run…" does not
exist, which is visible from the unpack log.  You can just comment-out
that substitute line, or better yet, find out the new name of that
source file like you did with execution_unix.go-> execution_linux.go

It may be worth your while to check all the substitute* file names in
the "patch-paths" phase beforehand.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com